Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/726.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/726.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/726.dot
@@ -1,6 +1,9 @@
  digraph "g" {
+"DcIPaddr_monitor_0 ibm1" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 ibm1" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 sgi2" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 sgi2" [ style=bold color="green" fontcolor="black" ]
+"DcIPaddr_monitor_0 test02" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 test02" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_5000 test03" [ style=bold color="green" fontcolor="black" ]
 "DoFencing_running_0" [ style=bold color="green" fontcolor="orange" ]
@@ -12,51 +15,67 @@
 "DoFencing_start_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "child_DoFencing:0_monitor_0 ibm1" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:0_monitor_0 ibm1" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_monitor_0 ibm1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_monitor_0 sgi2" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:0_monitor_0 sgi2" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_monitor_0 sgi2" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_monitor_5000 test02" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_start_0 test02" -> "DoFencing_running_0" [ style = bold]
 "child_DoFencing:0_start_0 test02" -> "child_DoFencing:0_monitor_5000 test02" [ style = bold]
 "child_DoFencing:0_start_0 test02" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_monitor_0 ibm1" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:1_monitor_0 ibm1" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 ibm1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_monitor_0 sgi2" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:1_monitor_0 sgi2" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 sgi2" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_monitor_0 test02" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:1_monitor_0 test02" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 test02" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_monitor_5000 test03" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_start_0 test03" -> "DoFencing_running_0" [ style = bold]
 "child_DoFencing:1_start_0 test03" -> "child_DoFencing:1_monitor_5000 test03" [ style = bold]
 "child_DoFencing:1_start_0 test03" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_0 ibm1" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:2_monitor_0 ibm1" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 ibm1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_0 sgi2" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:2_monitor_0 sgi2" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 sgi2" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_0 test02" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:2_monitor_0 test02" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 test02" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_0 test03" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:2_monitor_0 test03" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 test03" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_5000 ibm1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_start_0 ibm1" -> "DoFencing_running_0" [ style = bold]
 "child_DoFencing:2_start_0 ibm1" -> "child_DoFencing:2_monitor_5000 ibm1" [ style = bold]
 "child_DoFencing:2_start_0 ibm1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:3_monitor_0 ibm1" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:3_monitor_0 ibm1" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 ibm1" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:3_monitor_0 sgi2" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:3_monitor_0 sgi2" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 sgi2" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:3_monitor_0 test02" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:3_monitor_0 test02" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 test02" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:3_monitor_0 test03" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:3_monitor_0 test03" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 test03" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:3_monitor_5000 sgi2" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:3_start_0 sgi2" -> "DoFencing_running_0" [ style = bold]
 "child_DoFencing:3_start_0 sgi2" -> "child_DoFencing:3_monitor_5000 sgi2" [ style = bold]
 "child_DoFencing:3_start_0 sgi2" [ style=bold color="green" fontcolor="black" ]
+"rsc_ibm1_monitor_0 ibm1" -> "all_stopped" [ style = bold]
 "rsc_ibm1_monitor_0 ibm1" -> "rsc_ibm1_start_0 ibm1" [ style = bold]
 "rsc_ibm1_monitor_0 ibm1" [ style=bold color="green" fontcolor="black" ]
+"rsc_ibm1_monitor_0 sgi2" -> "all_stopped" [ style = bold]
 "rsc_ibm1_monitor_0 sgi2" -> "rsc_ibm1_start_0 ibm1" [ style = bold]
 "rsc_ibm1_monitor_0 sgi2" [ style=bold color="green" fontcolor="black" ]
+"rsc_ibm1_monitor_0 test02" -> "all_stopped" [ style = bold]
 "rsc_ibm1_monitor_0 test02" -> "rsc_ibm1_start_0 ibm1" [ style = bold]
 "rsc_ibm1_monitor_0 test02" [ style=bold color="green" fontcolor="black" ]
 "rsc_ibm1_monitor_5000 ibm1" [ style=bold color="green" fontcolor="black" ]
@@ -65,30 +84,41 @@
 "rsc_ibm1_stop_0 test03" -> "all_stopped" [ style = bold]
 "rsc_ibm1_stop_0 test03" -> "rsc_ibm1_start_0 ibm1" [ style = bold]
 "rsc_ibm1_stop_0 test03" [ style=bold color="green" fontcolor="black" ]
+"rsc_sgi2_monitor_0 ibm1" -> "all_stopped" [ style = bold]
 "rsc_sgi2_monitor_0 ibm1" -> "rsc_sgi2_start_0 sgi2" [ style = bold]
 "rsc_sgi2_monitor_0 ibm1" [ style=bold color="green" fontcolor="black" ]
+"rsc_sgi2_monitor_0 sgi2" -> "all_stopped" [ style = bold]
 "rsc_sgi2_monitor_0 sgi2" -> "rsc_sgi2_start_0 sgi2" [ style = bold]
 "rsc_sgi2_monitor_0 sgi2" [ style=bold color="green" fontcolor="black" ]
+"rsc_sgi2_monitor_0 test02" -> "all_stopped" [ style = bold]
 "rsc_sgi2_monitor_0 test02" -> "rsc_sgi2_start_0 sgi2" [ style = bold]
 "rsc_sgi2_monitor_0 test02" [ style=bold color="green" fontcolor="black" ]
+"rsc_sgi2_monitor_0 test03" -> "all_stopped" [ style = bold]
 "rsc_sgi2_monitor_0 test03" -> "rsc_sgi2_start_0 sgi2" [ style = bold]
 "rsc_sgi2_monitor_0 test03" [ style=bold color="green" fontcolor="black" ]
 "rsc_sgi2_monitor_5000 sgi2" [ style=bold color="green" fontcolor="black" ]
 "rsc_sgi2_start_0 sgi2" -> "rsc_sgi2_monitor_5000 sgi2" [ style = bold]
 "rsc_sgi2_start_0 sgi2" [ style=bold color="green" fontcolor="black" ]
+"rsc_test02_monitor_0 ibm1" -> "all_stopped" [ style = bold]
 "rsc_test02_monitor_0 ibm1" -> "rsc_test02_start_0 test02" [ style = bold]
 "rsc_test02_monitor_0 ibm1" [ style=bold color="green" fontcolor="black" ]
+"rsc_test02_monitor_0 sgi2" -> "all_stopped" [ style = bold]
 "rsc_test02_monitor_0 sgi2" -> "rsc_test02_start_0 test02" [ style = bold]
 "rsc_test02_monitor_0 sgi2" [ style=bold color="green" fontcolor="black" ]
+"rsc_test02_monitor_0 test02" -> "all_stopped" [ style = bold]
 "rsc_test02_monitor_0 test02" -> "rsc_test02_start_0 test02" [ style = bold]
 "rsc_test02_monitor_0 test02" [ style=bold color="green" fontcolor="black" ]
+"rsc_test02_monitor_0 test03" -> "all_stopped" [ style = bold]
 "rsc_test02_monitor_0 test03" -> "rsc_test02_start_0 test02" [ style = bold]
 "rsc_test02_monitor_0 test03" [ style=bold color="green" fontcolor="black" ]
 "rsc_test02_monitor_5000 test02" [ style=bold color="green" fontcolor="black" ]
 "rsc_test02_start_0 test02" -> "rsc_test02_monitor_5000 test02" [ style = bold]
 "rsc_test02_start_0 test02" [ style=bold color="green" fontcolor="black" ]
+"rsc_test03_monitor_0 ibm1" -> "all_stopped" [ style = bold]
 "rsc_test03_monitor_0 ibm1" [ style=bold color="green" fontcolor="black" ]
+"rsc_test03_monitor_0 sgi2" -> "all_stopped" [ style = bold]
 "rsc_test03_monitor_0 sgi2" [ style=bold color="green" fontcolor="black" ]
+"rsc_test03_monitor_0 test02" -> "all_stopped" [ style = bold]
 "rsc_test03_monitor_0 test02" [ style=bold color="green" fontcolor="black" ]
 "rsc_test03_monitor_5000 test03" [ style=bold color="green" fontcolor="black" ]
 }
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/726.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/726.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/726.exp
@@ -585,6 +585,96 @@
     </action_set>
     <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="rsc_sgi2_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc_ibm1_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc_test02_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc_test03_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="ibm1" on_node_uuid="d0d76dd9-7a01-4c12-bbec-98aa2a669638"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="rsc_sgi2_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="rsc_ibm1_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="rsc_test02_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="rsc_test03_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="sgi2" on_node_uuid="619e8a37-147a-4782-ac11-46afad7c32b8"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="rsc_sgi2_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="rsc_ibm1_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="rsc_test02_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="rsc_test03_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="test02" on_node_uuid="f75e684a-be1e-4036-89e5-a14f8dcdc947"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="rsc_sgi2_monitor_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="rsc_test02_monitor_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a"/>
+      </trigger>
+      <trigger>
         <rsc_op id="37" operation="stop" operation_key="rsc_ibm1_stop_0" on_node="test03" on_node_uuid="f9c593eb-ca0d-4ab3-ba88-fde12c02334a"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/735.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/735.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/735.dot
@@ -1,4 +1,5 @@
  digraph "g" {
+"DcIPaddr_monitor_0 hadev3" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 hadev3" [ style=bold color="green" fontcolor="black" ]
 "DoFencing_running_0" [ style=bold color="green" fontcolor="orange" ]
 "DoFencing_start_0" -> "DoFencing_running_0" [ style = bold]
@@ -7,6 +8,7 @@
 "DoFencing_start_0" [ style=bold color="green" fontcolor="orange" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "child_DoFencing:0_monitor_0 hadev3" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:0_monitor_0 hadev3" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_monitor_0 hadev3" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_monitor_5000 hadev2" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:0_start_0 hadev2" -> "DoFencing_running_0" [ style = bold]
@@ -17,6 +19,7 @@
 "child_DoFencing:1_start_0 hadev3" -> "child_DoFencing:1_monitor_5000 hadev3" [ style = bold]
 "child_DoFencing:1_start_0 hadev3" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_0 hadev3" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:2_monitor_0 hadev3" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 hadev3" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev1_monitor_5000 hadev3" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev1_start_0 hadev3" -> "rsc_hadev1_monitor_5000 hadev3" [ style = bold]
@@ -24,6 +27,7 @@
 "rsc_hadev1_stop_0 hadev2" -> "all_stopped" [ style = bold]
 "rsc_hadev1_stop_0 hadev2" -> "rsc_hadev1_start_0 hadev3" [ style = bold]
 "rsc_hadev1_stop_0 hadev2" [ style=bold color="green" fontcolor="black" ]
+"rsc_hadev2_monitor_0 hadev3" -> "all_stopped" [ style = bold]
 "rsc_hadev2_monitor_0 hadev3" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev3_monitor_5000 hadev3" [ style=bold color="green" fontcolor="black" ]
 "rsc_hadev3_start_0 hadev3" -> "rsc_hadev3_monitor_5000 hadev3" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/735.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/735.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/735.exp
@@ -185,6 +185,18 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669"/>
+      </trigger>
+      <trigger>
         <rsc_op id="11" operation="stop" operation_key="rsc_hadev1_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/764.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/764.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/764.dot
@@ -1,5 +1,6 @@
  digraph "g" {
 "DcIPaddr_monitor_0 posic041" -> "DcIPaddr_start_0 posic043" [ style = dashed]
+"DcIPaddr_monitor_0 posic041" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 posic041" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_5000 posic043" [ style=dashed color="red" fontcolor="black"]
 "DcIPaddr_start_0 posic043" -> "DcIPaddr_monitor_5000 posic043" [ style = dashed]
@@ -9,10 +10,14 @@
 "DcIPaddr_stop_0 posic043" [ style=bold color="green" fontcolor="black" ]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "child_DoFencing:0_monitor_5000 posic043" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:1_monitor_0 posic043" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 posic043" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:1_monitor_5000 posic041" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 posic041" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 posic041" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 posic041" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 posic041" [ style=bold color="green" fontcolor="black" ]
+"rsc_posic041_monitor_0 posic043" -> "all_stopped" [ style = bold]
 "rsc_posic041_monitor_0 posic043" -> "rsc_posic041_start_0 posic041" [ style = dashed]
 "rsc_posic041_monitor_0 posic043" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic041_monitor_5000 posic041" [ style=dashed color="red" fontcolor="black"]
@@ -21,6 +26,7 @@
 "rsc_posic041_stop_0 posic041" -> "all_stopped" [ style = bold]
 "rsc_posic041_stop_0 posic041" -> "rsc_posic041_start_0 posic041" [ style = dashed]
 "rsc_posic041_stop_0 posic041" [ style=bold color="green" fontcolor="black" ]
+"rsc_posic042_monitor_0 posic043" -> "all_stopped" [ style = bold]
 "rsc_posic042_monitor_0 posic043" -> "rsc_posic042_start_0 posic041" [ style = dashed]
 "rsc_posic042_monitor_0 posic043" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic042_monitor_5000 posic041" [ style=dashed color="red" fontcolor="black"]
@@ -29,6 +35,7 @@
 "rsc_posic042_stop_0 posic041" -> "all_stopped" [ style = bold]
 "rsc_posic042_stop_0 posic041" -> "rsc_posic042_start_0 posic041" [ style = dashed]
 "rsc_posic042_stop_0 posic041" [ style=bold color="green" fontcolor="black" ]
+"rsc_posic043_monitor_0 posic041" -> "all_stopped" [ style = bold]
 "rsc_posic043_monitor_0 posic041" -> "rsc_posic043_start_0 posic043" [ style = dashed]
 "rsc_posic043_monitor_0 posic041" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic043_monitor_5000 posic043" [ style=dashed color="red" fontcolor="black"]
@@ -37,6 +44,7 @@
 "rsc_posic043_stop_0 posic043" -> "all_stopped" [ style = bold]
 "rsc_posic043_stop_0 posic043" -> "rsc_posic043_start_0 posic043" [ style = dashed]
 "rsc_posic043_stop_0 posic043" [ style=bold color="green" fontcolor="black" ]
+"rsc_posic044_monitor_0 posic043" -> "all_stopped" [ style = bold]
 "rsc_posic044_monitor_0 posic043" -> "rsc_posic044_start_0 posic041" [ style = dashed]
 "rsc_posic044_monitor_0 posic043" [ style=bold color="green" fontcolor="black" ]
 "rsc_posic044_monitor_5000 posic041" [ style=dashed color="red" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/764.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/764.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/764.exp
@@ -142,6 +142,30 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="posic041" on_node_uuid="c5d5ed56-7340-4d81-afd6-40b5ee6803ad"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc_posic043_monitor_0" on_node="posic041" on_node_uuid="c5d5ed56-7340-4d81-afd6-40b5ee6803ad"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="posic041" on_node_uuid="c5d5ed56-7340-4d81-afd6-40b5ee6803ad"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="posic041" on_node_uuid="c5d5ed56-7340-4d81-afd6-40b5ee6803ad"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc_posic041_monitor_0" on_node="posic043" on_node_uuid="3daa25e7-8713-4c6f-8790-7f41599a1596"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc_posic042_monitor_0" on_node="posic043" on_node_uuid="3daa25e7-8713-4c6f-8790-7f41599a1596"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc_posic044_monitor_0" on_node="posic043" on_node_uuid="3daa25e7-8713-4c6f-8790-7f41599a1596"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="posic043" on_node_uuid="3daa25e7-8713-4c6f-8790-7f41599a1596"/>
+      </trigger>
+      <trigger>
         <rsc_op id="13" operation="stop" operation_key="DcIPaddr_stop_0" on_node="posic043" on_node_uuid="3daa25e7-8713-4c6f-8790-7f41599a1596"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/797.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/797.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/797.exp
@@ -253,6 +253,18 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
         <rsc_op id="37" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
        </trigger>
        <trigger>
@@ -345,6 +357,45 @@
         <rsc_op id="11" operation="stop" operation_key="DcIPaddr_stop_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
       </trigger>
       <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
         <rsc_op id="27" operation="stop" operation_key="rsc_c001n08_stop_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
        </trigger>
        <trigger>
